#include "NCNNObject.h"
#include "NCNNRect.h"
ByteTrackNCNN::Object::Object(const ByteTrackNCNN::Rect<float>& _rect,
								const int& _label,
								const float& _prob,
								const float& _left,
								const float& _top,
								const float& _right,
								const float& _bottom,
								const std::string& _object_id) : 
								box(_rect),
								label(_label),
								confidence(_prob),
								left(_left),
								top(_top),
								right(_right),
								bottom(_bottom),
								object_id(_object_id)
{

}